# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd/Tester/CaptureExternal.pm) perl(Catmandu.pm) perl(Clone.pm) perl(Cpanel/JSON/XS.pm) perl(Data/UUID.pm) perl(Hash/Merge/Simple.pm) perl(Hash/Util/FieldHash.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IO/String.pm) perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Any/Test.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Package/Stash.pm) perl(Path/Iterator/Rule.pm) perl(Path/Tiny.pm) perl(Role/Tiny.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI/Escape.pm) perl(bytes.pm) perl(namespace/clean.pm) perl(parent.pm) perl(Throwable/Error.pm) perl(Parser/MGC.pm)
# END SourceDeps(oneline)
%define module_name Catmandu-FileStore
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.13
Release: alt1
Summary: Namespace for packages that can make files persistent
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-FileStore

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOCHSTEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Each the Catmandu::FileStore manpage is a the Catmandu::Store manpage and inherits all its methods,

A the Catmandu::FileStore manpage is package to store and retrieve binary content in
an filesystem, memory or a network. A `Catmandu::FileStore' contains one or more
`Catmandu::FileBag' which is a kind of folder.

Each `Catmandu::FileBag' contains one or more files.

One special `Catmandu::FileBag' is the `index' and contains the listing
of all `Catmandu::FileBag' in the `Catmandu::FileStore'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- initial import by package builder

